=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/CMakeLists.txt ===
if (WIN32)
    set(ICU_JAVA_TOOLUTIL_LIB sicutu)
    set(ICU_JAVA_ICU_STUBDATA_LIB_NAME icudt)
    set(ICU_JAVA_ICU_DATA_LIB_NAME sicudt)
    if (MSVC)
        if(NOT CMAKE_CL_64)
            add_definitions(-DSIZEOF_VOID_P=4)
            add_compile_options(-DU_I18N_IMPLEMENTATION=1 -DHAVE_DLOPEN=0 -DU_HAVE_ATOMIC=1 -DU_HAVE_MMAP=0 -DU_HAVE_DIRENT_H=0 -DU_HAVE_POPEN=0 -DU_STATIC_IMPLEMENTATION -DU_RELEASE=1 -D_CRT_SECURE_NO_DEPRECATE  -DU_ATTRIBUTE_DEPRECATED= -DWIN32 -DCYGWINMSVC -DU_COMMON_IMPLEMENTATION -DU_TOOLUTIL_IMPLEMENTATION)
        else()
            add_compile_options(-DU_I18N_IMPLEMENTATION=1 -DHAVE_DLOPEN=0 -DU_HAVE_ATOMIC=1 -DU_HAVE_MMAP=0 -DU_HAVE_DIRENT_H=0 -DU_HAVE_POPEN=0 -DU_HAVE_TZNAME=0 -DU_STATIC_IMPLEMENTATION -DU_RELEASE=1 -D_CRT_SECURE_NO_DEPRECATE  -DU_ATTRIBUTE_DEPRECATED= -DWIN32 -DCYGWINMSVC -DU_COMMON_IMPLEMENTATION -DU_TOOLUTIL_IMPLEMENTATION)
        endif()
        add_compile_options(/GR)
    endif ()
elseif (UNIX)
    set(ICU_JAVA_TOOLUTIL_LIB icutu)
    set(ICU_JAVA_ICU_STUBDATA_LIB_NAME icudata)
    set(ICU_JAVA_ICU_DATA_LIB_NAME ${ICU_JAVA_ICU_STUBDATA_LIB_NAME})
    add_definitions("-D_REENTRANT -DU_HAVE_ELF_H=1 -DU_ENABLE_DYLOAD=0 -DU_HAVE_ATOMIC=1 -DU_ATTRIBUTE_DEPRECATED= -DU_COMMON_IMPLEMENTATION -DU_I18N_IMPLEMENTATION -DU_IO_IMPLEMENTATION -DU_TOOLUTIL_IMPLEMENTATION")
    add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-frtti> $<$<COMPILE_LANGUAGE:C>:-std=c99>)
elseif (APPLE)
    set(ICU_JAVA_TOOLUTIL_LIB icutu)
    add_definitions("-DU_ATTRIBUTE_DEPRECATED= -DU_ENABLE_DYLOAD=0 -DU_HAVE_ATOMIC=1 -DU_COMMON_IMPLEMENTATION -DU_I18N_IMPLEMENTATION -DU_LAYOUT_IMPLEMENTATION -DU_LAYOUTEX_IMPLEMENTATION -DU_IO_IMPLEMENTATION -DU_TOOLUTIL_IMPLEMENTATION -DT_CTEST_IMPLEMENTATION -frtti")
    set(ICU_JAVA_ICU_STUBDATA_LIB_NAME icudata)
    set(ICU_JAVA_ICU_DATA_LIB_NAME ${ICU_JAVA_ICU_STUBDATA_LIB_NAME})
    add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-frtti> $<$<COMPILE_LANGUAGE:C>:-std=c99>)
endif ()

set(ICU_JAVA_ICU_STUBDATA_LIB icustubdata)

add_subdirectory(java/stubdata)
add_subdirectory(java/i18n)
add_subdirectory(java/common)
add_subdirectory(java/tools)
add_subdirectory(java/data)
