=== modules/javafx.web/src/main/native/Source/ThirdParty/icu/java/i18n/CMakeLists.txt ===
set(ICU_I18N_SOURCES
    ../../source/i18n/ucln_in.c
    ../../source/i18n/fmtable.cpp
    ../../source/i18n/format.cpp
    ../../source/i18n/msgfmt.cpp
    ../../source/i18n/umsg.cpp
    ../../source/i18n/numfmt.cpp
    ../../source/i18n/unum.cpp
    ../../source/i18n/decimfmt.cpp
    ../../source/i18n/dcfmtsym.cpp
    ../../source/i18n/ucurr.cpp
    ../../source/i18n/digitlst.cpp
    ../../source/i18n/fmtable_cnv.cpp
    ../../source/i18n/choicfmt.cpp
    ../../source/i18n/datefmt.cpp
    ../../source/i18n/smpdtfmt.cpp
    ../../source/i18n/reldtfmt.cpp
    ../../source/i18n/dtfmtsym.cpp
    ../../source/i18n/udat.cpp
    ../../source/i18n/dtptngen.cpp
    ../../source/i18n/udatpg.cpp
    ../../source/i18n/nfrs.cpp
    ../../source/i18n/nfrule.cpp
    ../../source/i18n/nfsubs.cpp
    ../../source/i18n/rbnf.cpp
    ../../source/i18n/numsys.cpp
    ../../source/i18n/ucsdet.cpp
    ../../source/i18n/ucal.cpp
    ../../source/i18n/calendar.cpp
    ../../source/i18n/gregocal.cpp
    ../../source/i18n/timezone.cpp
    ../../source/i18n/simpletz.cpp
    ../../source/i18n/olsontz.cpp
    ../../source/i18n/astro.cpp
    ../../source/i18n/taiwncal.cpp
    ../../source/i18n/buddhcal.cpp
    ../../source/i18n/persncal.cpp
    ../../source/i18n/islamcal.cpp
    ../../source/i18n/japancal.cpp
    ../../source/i18n/gregoimp.cpp
    ../../source/i18n/hebrwcal.cpp
    ../../source/i18n/indiancal.cpp
    ../../source/i18n/chnsecal.cpp
    ../../source/i18n/cecal.cpp
    ../../source/i18n/coptccal.cpp
    ../../source/i18n/dangical.cpp
    ../../source/i18n/ethpccal.cpp
    ../../source/i18n/coleitr.cpp
    ../../source/i18n/coll.cpp
    ../../source/i18n/tblcoll.cpp
    ../../source/i18n/sortkey.cpp
    ../../source/i18n/bocsu.cpp
    ../../source/i18n/ucoleitr.cpp
    ../../source/i18n/ucol.cpp
    ../../source/i18n/ucol_res.cpp
    ../../source/i18n/ucol_bld.cpp
    ../../source/i18n/ucol_sit.cpp
    ../../source/i18n/ucol_tok.cpp
    ../../source/i18n/ucol_wgt.cpp
    ../../source/i18n/ucol_cnt.cpp
    ../../source/i18n/ucol_elm.cpp
    ../../source/i18n/strmatch.cpp
    ../../source/i18n/usearch.cpp
    ../../source/i18n/search.cpp
    ../../source/i18n/stsearch.cpp
    ../../source/i18n/translit.cpp
    ../../source/i18n/utrans.cpp
    ../../source/i18n/esctrn.cpp
    ../../source/i18n/unesctrn.cpp
    ../../source/i18n/funcrepl.cpp
    ../../source/i18n/strrepl.cpp
    ../../source/i18n/tridpars.cpp
    ../../source/i18n/cpdtrans.cpp
    ../../source/i18n/rbt.cpp
    ../../source/i18n/rbt_data.cpp
    ../../source/i18n/rbt_pars.cpp
    ../../source/i18n/rbt_rule.cpp
    ../../source/i18n/rbt_set.cpp
    ../../source/i18n/nultrans.cpp
    ../../source/i18n/remtrans.cpp
    ../../source/i18n/casetrn.cpp
    ../../source/i18n/titletrn.cpp
    ../../source/i18n/tolowtrn.cpp
    ../../source/i18n/toupptrn.cpp
    ../../source/i18n/anytrans.cpp
    ../../source/i18n/name2uni.cpp
    ../../source/i18n/uni2name.cpp
    ../../source/i18n/nortrans.cpp
    ../../source/i18n/quant.cpp
    ../../source/i18n/transreg.cpp
    ../../source/i18n/brktrans.cpp
    ../../source/i18n/regexcmp.cpp
    ../../source/i18n/rematch.cpp
    ../../source/i18n/repattrn.cpp
    ../../source/i18n/regexst.cpp
    ../../source/i18n/regextxt.cpp
    ../../source/i18n/regeximp.cpp
    ../../source/i18n/uregex.cpp
    ../../source/i18n/uregexc.cpp
    ../../source/i18n/ulocdata.c
    ../../source/i18n/measfmt.cpp
    ../../source/i18n/currfmt.cpp
    ../../source/i18n/curramt.cpp
    ../../source/i18n/currunit.cpp
    ../../source/i18n/measure.cpp
    ../../source/i18n/utmscale.c
    ../../source/i18n/csdetect.cpp
    ../../source/i18n/csmatch.cpp
    ../../source/i18n/csr2022.cpp
    ../../source/i18n/csrecog.cpp
    ../../source/i18n/csrmbcs.cpp
    ../../source/i18n/csrsbcs.cpp
    ../../source/i18n/csrucode.cpp
    ../../source/i18n/csrutf8.cpp
    ../../source/i18n/inputext.cpp
    ../../source/i18n/wintzimpl.cpp
    ../../source/i18n/windtfmt.cpp
    ../../source/i18n/winnmfmt.cpp
    ../../source/i18n/basictz.cpp
    ../../source/i18n/dtrule.cpp
    ../../source/i18n/rbtz.cpp
    ../../source/i18n/tzrule.cpp
    ../../source/i18n/tztrans.cpp
    ../../source/i18n/vtzone.cpp
    ../../source/i18n/zonemeta.cpp
    ../../source/i18n/upluralrules.cpp
    ../../source/i18n/plurrule.cpp
    ../../source/i18n/plurfmt.cpp
    ../../source/i18n/selfmt.cpp
    ../../source/i18n/dtitvfmt.cpp
    ../../source/i18n/dtitvinf.cpp
    ../../source/i18n/udateintervalformat.cpp
    ../../source/i18n/tmunit.cpp
    ../../source/i18n/tmutamt.cpp
    ../../source/i18n/tmutfmt.cpp
    ../../source/i18n/currpinf.cpp
    ../../source/i18n/uspoof.cpp
    ../../source/i18n/uspoof_impl.cpp
    ../../source/i18n/uspoof_build.cpp
    ../../source/i18n/uspoof_conf.cpp
    ../../source/i18n/uspoof_wsconf.cpp
    ../../source/i18n/decfmtst.cpp
    ../../source/i18n/smpdtfst.cpp
    ../../source/i18n/ztrans.cpp
    ../../source/i18n/zrule.cpp
    ../../source/i18n/vzone.cpp
    ../../source/i18n/fphdlimp.cpp
    ../../source/i18n/fpositer.cpp
    ../../source/i18n/locdspnm.cpp
    ../../source/i18n/decNumber.c
    ../../source/i18n/decContext.c
    ../../source/i18n/alphaindex.cpp
    ../../source/i18n/tznames.cpp
    ../../source/i18n/tznames_impl.cpp
    ../../source/i18n/tzgnames.cpp
    ../../source/i18n/tzfmt.cpp
    ../../source/i18n/compactdecimalformat.cpp
    ../../source/i18n/gender.cpp
    ../../source/i18n/region.cpp
    ../../source/i18n/scriptset.cpp
    ../../source/i18n/identifier_info.cpp
)

set(ICU_I18N_INCLUDE_DIRECTORIES
      ../../source/i18n
      ../../source/common
      ../../source/common/include
)

include_directories(${ICU_I18N_INCLUDE_DIRECTORIES})
add_library(${ICU_JAVA_I18N_LIBRARIES} STATIC ${ICU_I18N_SOURCES})
set_target_properties(${ICU_JAVA_I18N_LIBRARIES} PROPERTIES COMPILE_DEFINITIONS "LIB_ICU_I18N_STATIC")
add_dependencies(${ICU_JAVA_I18N_LIBRARIES} ${ICU_JAVA_COMMON_LIB})
