=== debian/changelog ===
openjfx (11+26-4) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Remove build-on-non-JIT-architectures.patch again. It does not work.
  * Build-depend on libgtk-3-dev and fix a RuntimeException due to non
    existent GTK 3 dependency. (Closes: #910585)

  [ Frédéric Bonnard ]
  * Fix !x86 build.
    Properly define CMAKE_SYSTEM_PROCESSOR else we get x86_64 or i586
    whichever architecture.
    Set ENABLE_JIT=OFF at cmake level for all non x86 architectures.
    (Closes: #910495)

 -- Markus Koschany <apo@debian.org>  Wed, 10 Oct 2018 22:41:09 +0200

openjfx (11+26-3) unstable; urgency=medium

  * Team upload.
  * Install the correct javafx.web jar. (Closes: #910501)
  * Add build-on-non-JIT-architectures.patch and try to fix the
    build failure on !x86 architectures.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Oct 2018 15:51:48 +0200

openjfx (11+26-2) unstable; urgency=medium

  * Keep the profiles of the parent pom
  * Install the empty classifier-less artifacts

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Oct 2018 14:38:49 +0200

openjfx (11+26-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #850921)
    - Refreshed the patches
    - Depend on default-jdk instead of openjdk-8
    - Depend on gradle (>= 4.4)
    - Updated the watch file to track the JavaFX 11 releases from GitHub
    - Updated the paths to the modules (modules/foo -> modules/javafx.foo)
    - Depend on antlr+stringtemplate instead of antlr-complete
    - New dependency on liblucene4.10-java
    - New build dependency on zip
    - Removed the build dependencies on libsqlite3-dev, libxml2-dev, libicu-dev
      and libxslt1-dev since they are now embedded (Closes: #879769)
    - No longer use the removed BUILD_JAVADOC and BUILD_SRC_ZIP variables
    - Updated the Gradle targets to call during the build
    - Fixed a compilation error in glass_window_ime.cpp with GCC 8
    - No longer build and install the javafxpackager tool
    - Install the new Maven artifacts in libopenjfx-java
    - Install the SDK files in /usr/share/openjfx instead of integrating
      them with the JDK
    - Updated the path for the jsmin.py placeholder
  * Fixed a webkit compilation error with glibc 2.26 or later
  * Standards-Version updated to 4.2.1
  * Updated the Homepage field
  * Removed the unused Lintian overrides
  * Removed the workaround to build with Gradle 2.x

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 09:11:05 +0200

openjfx (8u171-b11-2) unstable; urgency=medium

  * Team upload.
  * Removed the GCC 7 compatibility patch (fixed upstream)
  * Removed the UChar patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 12 Jun 2018 12:54:12 +0200

openjfx (8u171-b11-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release:
    - Refreshed the patches
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

  [ Peter Michael Green ]
  * Disable JIT on sub-armv7 (armel/raspbian), it fails to build
    there with assembler errors (Closes: #895469)
  * Fix some uint16/char16 issues in javascriptcore

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 11 Jun 2018 22:05:32 +0200
